List an Organization's Code Mappings

GET /api/0/organizations/{organization_id_or_slug}/code-mappings/

Return repository path mappings for projects the user can access.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Query Parameters:

integrationId (string)

Filter mappings to a specific installed integration.

project (array(string))

Filter by project ID or slug. Pass -1 to include all projects the user can access. When omitted, mappings include all projects the user can access.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

per_page (integer)

The maximum number of mappings to return per page.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:ci
  • org:integrations
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/code-mappings/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
.
Was this helpful?